de.esprit.netsuite.server.auth

## Class DefaultUserManager

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<S>
      - - de.esprit.netsuite.server.AbstractInitializableServerObject<S>
        - - de.esprit.netsuite.server.auth.AbstractUserManager<ServerContext>
          - - de.esprit.netsuite.server.auth.DefaultUserManager

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, Initializable, SimpleLogSupport, Clearable, Dumpable, UserAuthenticator, UserManager<ServerContext>, PermissionControlled, ServerObject<ServerContext>

      public final class DefaultUserManager
      extends AbstractUserManager<ServerContext>

  This implementation manages users in the srv_user.cfg config file as NDF records.
  Author:
    Rainer Buesch

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `DefaultUserManager.MyUserHandler`

  - ### Field Summary

    - ### Fields inherited from class de.esprit.netsuite.server.auth.AbstractUserManager

      `permissionDef`

    - ### Fields inherited from interface de.esprit.netsuite.server.auth.UserManager

      `DEFAULT_ADMIN_USERNAME, DEFAULT_PASSWORD_ADMIN, DEFAULT_PASSWORD_ESPRIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultUserManager(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected User` | `createUserInstance(int uid, java.lang.String userName, Language language, java.lang.String foreName, java.lang.String lastName, java.lang.String email, boolean isAdmin, boolean isLocked, java.lang.String password, java.sql.Timestamp createdTs, java.sql.Timestamp changedTs, java.lang.String comment)`
    `protected void` | `performChangePassword(SessionId callerSessId, User user, java.lang.String oldPasswordDigest, java.lang.String newPasswordDigest)`
    `protected void` | `performDeleteUser(SessionId callerSessId, User user)`
    `protected User` | `performInsertUser(SessionId callerSessId, User user, java.util.List<User> userList)`
    `protected void` | `performResetPassword(SessionId callerSessId, User user, boolean isClear)`
    `protected void` | `performUpdateUser(SessionId callerSessId, User user)`
    `protected void` | `read(java.util.List<User> userList)`

    - ### Methods inherited from class de.esprit.netsuite.server.auth.AbstractUserManager

      `changePassword, checkIsUpdateAllowedOnUser, clear, deleteUser, findUserById, findUserByName, findUserForLogin, getPermissionDefinition, getUserConfigFile, getUserCount, getUserIds, getUserList, getUsers, init, insertUser, isEmptyPasswordAllowed, nextUserId, performAfterUpdateUser, resetPassword, setDefaultUserPassword, updateUser`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractInitializableServerObject

      `checkInitialized, isInitialized, setInitialized, toString`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultUserManager

          public DefaultUserManager(ServerContext serverCtx)

  - ### Method Detail

    - #### read

          protected void read(java.util.List<User> userList)
                       throws java.lang.Exception

      Specified by:
        `read` in class `AbstractUserManager<ServerContext>`
      Throws:
        `java.lang.Exception`

    - #### performResetPassword

          protected void performResetPassword(SessionId callerSessId,
                                  User user,
                                  boolean isClear)
                                       throws java.lang.Exception

      Specified by:
        `performResetPassword` in class `AbstractUserManager<ServerContext>`
      Throws:
        `java.lang.Exception`

    - #### performChangePassword

          protected void performChangePassword(SessionId callerSessId,
                                   User user,
                                   java.lang.String oldPasswordDigest,
                                   java.lang.String newPasswordDigest)
                                        throws java.lang.Exception

      Specified by:
        `performChangePassword` in class `AbstractUserManager<ServerContext>`
      Throws:
        `java.lang.Exception`

    - #### performInsertUser

          protected User performInsertUser(SessionId callerSessId,
                               User user,
                               java.util.List<User> userList)
                                    throws java.lang.Exception

      Specified by:
        `performInsertUser` in class `AbstractUserManager<ServerContext>`
      Throws:
        `java.lang.Exception`

    - #### performUpdateUser

          protected void performUpdateUser(SessionId callerSessId,
                               User user)
                                    throws java.lang.Exception

      Specified by:
        `performUpdateUser` in class `AbstractUserManager<ServerContext>`
      Throws:
        `java.lang.Exception`

    - #### performDeleteUser

          protected void performDeleteUser(SessionId callerSessId,
                               User user)
                                    throws java.lang.Exception

      Specified by:
        `performDeleteUser` in class `AbstractUserManager<ServerContext>`
      Throws:
        `java.lang.Exception`

    - #### createUserInstance

          protected User createUserInstance(int uid,
                                java.lang.String userName,
                                Language language,
                                java.lang.String foreName,
                                java.lang.String lastName,
                                java.lang.String email,
                                boolean isAdmin,
                                boolean isLocked,
                                java.lang.String password,
                                java.sql.Timestamp createdTs,
                                java.sql.Timestamp changedTs,
                                java.lang.String comment)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.